> ## Documentation Index
> Fetch the complete documentation index at: https://www.osohq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post authorize resources

> Returns a subset of resources on which an actor can perform a particular action. Ordering and duplicates, if any exist, are preserved.



## OpenAPI

````yaml post /authorize_resources
openapi: 3.1.0
info:
  title: Oso Cloud HTTP API
  version: 0.1.0
  description: >-
    <p>Oso Cloud exposes an HTTP API that you can use to make queries directly,
    without using one of the clients.</p><p>For endpoints that require
    authentication, pass your API key as an HTTP Bearer Auth payload.</p><p>For
    example, using curl: <code>curl -H &quot;Authorization: Bearer
    $OSO_AUTH&quot; https://cloud.osohq.com/api/</code></p>
servers:
  - url: https://api.osohq.com/api/
security: []
paths:
  /authorize_resources:
    post:
      tags:
        - Check API
      description: >-
        Returns a subset of resources on which an actor can perform a particular
        action. Ordering and duplicates, if any exist, are preserved.
      operationId: post_authorize_resources
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthorizeResourcesQuery'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizeResourcesResult'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - ApiKey: []
components:
  schemas:
    AuthorizeResourcesQuery:
      type: object
      required:
        - action
        - actor_id
        - actor_type
        - resources
      properties:
        actor_type:
          type: string
        actor_id:
          type: string
        action:
          type: string
        resources:
          type: array
          items:
            $ref: '#/components/schemas/Value'
        context_facts:
          default: []
          type: array
          items:
            $ref: '#/components/schemas/Fact'
    AuthorizeResourcesResult:
      type: object
      required:
        - results
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Value'
    ApiError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    Value:
      type: object
      properties:
        type:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
    Fact:
      description: 'A pattern object for matching authorization-relevant data, ie: facts.'
      type: object
      required:
        - args
        - predicate
      properties:
        predicate:
          type: string
        args:
          type: array
          items:
            $ref: '#/components/schemas/Value'
  securitySchemes:
    ApiKey:
      description: Requires an API key to access.
      type: http
      scheme: bearer
      bearerFormat: Bearer e_0123_123_token0123

````